PDA

View Full Version : panel docks



LackeyLad
9th November 2004, 10:00 PM
what is a good osx dock for gnome?

Jman
10th November 2004, 02:47 AM
A OSX dock clone? Perhaps the gdesklets Starter Bar (http://gdesklets.gnomedesktop.org/categories.php?func=gd_show_app&gd_app_id=13).

LackeyLad
10th November 2004, 07:12 AM
i have a horrid time with dependencies. I have seen people post that they installed gDesklets using yum, i am not able to. i did get the bar installed but not gDesklets. I run into the following error.



checking for pkg-config... /usr/bin/pkg-config
checking for glib-2.0 gdk-pixbuf-2.0 gtk+-2.0 pygtk-2.0 >= 2.0.0... Package pygt k-2.0 was not found in the pkg-config search path.
Perhaps you should add the directory containing `pygtk-2.0.pc'
to the PKG_CONFIG_PATH environment variable
No package 'pygtk-2.0' found

configure: error: Library requirements (glib-2.0 gdk-pixbuf-2.0 gtk+-2.0 pygtk-2 .0 >= 2.0.0) not met; consider adjusting the PKG_CONFIG_PATH environment variabl e if your libraries are in a nonstandard prefix so pkg-config can find them.
[root@localhost gDesklets-0.31]#


the thing is even when i download rpms or tars to update these files, it still isnt recognized. Can anyone offer a help on this?

LackeyLad
15th November 2004, 08:33 PM
im still royally stuck on this. any help?

LeAkEd
16th November 2004, 12:32 AM
I always try installing things with "up2date" first instead of yum or rpm. Up2date does all the dependancy checks for you and will also add your RPMs to the up2date list so it will always check to see if it's the latest version.

Try using up2date to install gDesklets. I used it extensively in Gnome and it's quite customisable and OS Xish.

LackeyLad
16th November 2004, 07:57 PM
ok, so i up2dated and my system is updated, the 'up2date gDesklets' found nothing and i still get the same error as above. Now the problem is that even when i install a newer version of all the depends noted by the error, it still doesnt get any farther in the configure.

what sends me two sheets to the wind is i have seen people fresh install fc2 and run gdesklets immediately with no yum and no updates. how can i not run this damn program?

ALL I WANT IS A PANEL DOCK!

please, someone who has installed gDesklets easily or by using yum please help me on this